Update a prompt
curl --request PATCH \
--url https://api.beeze.io/v1/ai-search/prompts/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"promptText": "<string>",
"location": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.beeze.io/v1/ai-search/prompts/{id}"
payload = {
"promptText": "<string>",
"location": "<string>",
"tags": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({promptText: '<string>', location: '<string>', tags: ['<string>']})
};
fetch('https://api.beeze.io/v1/ai-search/prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promptText": "<string>",
"project": "<string>",
"tags": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"location": "<string>",
"metrics": {
"visibility": 123,
"position": 123,
"volume": 123,
"sentiment": 123
}
}
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}AI Search
Update a prompt
PATCH
/
ai-search
/
prompts
/
{id}
Update a prompt
Authorizations
API key for external Beeze API access
Path Parameters
Body
application/json
Response
Prompt updated
Show child attributes
Show child attributes
⌘I